#include "mySystem.h"
#include "myLog.h"
#include "dc_signal.h"





int app_datacenter_init1(void *arg)
{
    return 0;
}

int app_datacenter_init2(void *arg)
{
    return 0;
}


void *app_datacenter(void *arg)
{
    if(NULL == arg)
    {
        LOG_E("app_datacenter: arg is NULL");
        return NULL;
    }

    stru_app *p_app = (stru_app *)arg;

    uint32_t event;
    stru_app_msg_queue *p_mq = NULL;
    stru_msg_head *p_head = NULL;
    stru_rtx_data *p_rtx = &p_app->rtx;

    while(1)
    {
        task_event_recv(p_app->p_event,
            EV_TIMER1 | EV_TIMER2 | EV_TIMER3 ,
            TASK_EVENT_FLAG_OR | TASK_EVENT_FLAG_CLEAR,
            TASK_EVENT_WAIT_FOREVER,
            &event);


        if(event & EV_TIMER1)
        {
            ;
        }

        if(event & EV_TIMER2)
        {
            ;
        }

        if(event & EV_TIMER3)
        {
            p_app->run_cnt++;
        }
    }
}